# TdApi.ToggleBotUsernameIsActive (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ToggleBotUsernameIsActive

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ToggleBotUsernameIsActive

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ToggleBotUsernameIsActive

Enclosing class:
  TdApi

public static final class TdApi.ToggleBotUsernameIsActive extends TdApi.Function<TdApi.Ok>
Changes active state for a username of a bot. The editable username can't be disabled. May return an error with a message "USERNAMES_ACTIVE_TOO_MUCH" if the maximum number of active usernames has been reached. Can be called only if userTypeBot.canBeEdited == true. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`botUserId`
Identifier of the target bot.
`static final int`
`CONSTRUCTOR`
`boolean`
`isActive`
Pass true to activate the username; pass false to disable it.
`String`
`username`
The username to change.

## Constructor Summary

Constructors
Constructor
Description
`ToggleBotUsernameIsActive()`
Changes active state for a username of a bot.
`ToggleBotUsernameIsActive(long botUserId, String username, boolean isActive)`
Changes active state for a username of a bot.
`ToggleBotUsernameIsActive(DataInput input)`
Changes active state for a username of a bot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
Identifier of the target bot.

### username

public String username
The username to change.

### isActive

public boolean isActive
Pass true to activate the username; pass false to disable it.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ToggleBotUsernameIsActive

public ToggleBotUsernameIsActive()
Changes active state for a username of a bot. The editable username can't be disabled. May return an error with a message "USERNAMES_ACTIVE_TOO_MUCH" if the maximum number of active usernames has been reached. Can be called only if userTypeBot.canBeEdited == true. Returns `Ok`

### ToggleBotUsernameIsActive

public ToggleBotUsernameIsActive(long botUserId, String username, boolean isActive)
Changes active state for a username of a bot. The editable username can't be disabled. May return an error with a message "USERNAMES_ACTIVE_TOO_MUCH" if the maximum number of active usernames has been reached. Can be called only if userTypeBot.canBeEdited == true. Returns `Ok`

Parameters:
  `botUserId` - long Identifier of the target bot.
  `username` - String The username to change.
  `isActive` - boolean Pass true to activate the username; pass false to disable it.

### ToggleBotUsernameIsActive

public ToggleBotUsernameIsActive(DataInput input) throws IOException
Changes active state for a username of a bot. The editable username can't be disabled. May return an error with a message "USERNAMES_ACTIVE_TOO_MUCH" if the maximum number of active usernames has been reached. Can be called only if userTypeBot.canBeEdited == true. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`